/**
 * Dedicated Error class for filter parsing errors.
 * Contains additional fields helping automatizing what went wrong and where
 * when complex filters are rejected by Koncorde.
 */
export declare class KoncordeParseError extends Error {
    /**
     * The faulty keyword that triggered the error
     * @type {string}
     */
    keyword: string;
    /**
     * The filter path where the error was found
     * @type {string}
     */
    path: string;
    constructor(message: string, keyword: string, path: string);
}
